summary refs log tree commit diff
path: root/.config/waybar/modules
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2022-02-09 00:21:38 +0100
committerRobert Günzler <r@gnzler.io>2022-02-09 00:21:38 +0100
commit83fca9b77fb5ff5cbf9e793e156b9d976a252961 (patch)
treebc8f4ea435fa39610e170f9bc6dee21f818f3000 /.config/waybar/modules
parentcb44bd26ff25fad88b811ad39f434c0144d012aa (diff)
waybar: add timetrace module
Diffstat (limited to '.config/waybar/modules')
-rwxr-xr-x.config/waybar/modules/timetracked.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.config/waybar/modules/timetracked.sh b/.config/waybar/modules/timetracked.sh
new file mode 100755
index 0000000..4963ea0
--- /dev/null
+++ b/.config/waybar/modules/timetracked.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+while true; do
+	timetrace status -o json |
+		jq -c 'if .project == "---" then {} else { text: (["󰔛", .trackedTimeToday] | join(" ")), class: "timetracked", alt: "timetracked" } end'
+
+	sleep 30
+done